<ion-header>
</ion-header>

<ion-content>
  <div class="topBar">
    <img src="assets/logo.svg" alt="">
    <ul>
      <li *ngIf="step1" (click)="checkResult('hard')">Hard Verification</li>
      <li *ngIf="step1" (click)="checkResult('light')">Light Verification</li>
      <li *ngIf="step1" (click)="applyForm()">Application Form</li>
    </ul>
  </div>
  <div class="title">
    <h1>National Web Portal for Immigration</h1>
  </div>

  <div class="process">
    <p class="processText">eVisa Application Process</p>
    <img src="assets/process.svg" alt="">
  </div>

  <div class="showQRCode">
    <div class="qrCode" *ngIf="!img">
      <img src="assets/empty.png" alt="">
    </div>
    <div class="qrCode" *ngIf="showImg" (click) = "deeplink('login')">
      <img [src]="img" alt="">
    </div>
    <div *ngIf="warning" style="color: red">
      <p>*Network is not stable!</p>
    </div>

    <p class="deeplink">Click on QR Code to open your SiriusID App</p>
    <p class="scan">Scan the QR Code with SiriusID App</p>
  
    <div class="reload" (click)="refresh()">
      <img src="assets/refresh.svg" alt="">
    </div>
  </div>

  <div class="description">
    <p class="desTitle">Full text description:</p>
    <p class="step">Step 1: Scan QR code to log in using Passport Credential and fill out required information.</p>
    <p class="step">Step 2: Pay eVisa fee (10 USD).</p>
    <p class="step">Step 3: Scan QR code using Sirius ID app to receive approved eVisa.</p>
    <p class="step">Step 4: Scan QR code at Immigration Check Post.</p>
    <p class="note">* Note: </p>
    <p>If there is any missing or incorrect/unidentified information, your application will not be accepted.</p>
  </div>
  <div class="proximax1">
    <img src="assets/proximax1.png" alt="">
  </div>
  <div class="proximax2">
    <img src="assets/proximax2.png" alt="">
    <a href="https://www.proximax.ltd/"><img class="telegram" src="assets/telegram.svg" alt=""></a>
  </div>
  <div class="bottomBar">
    <img src="assets/bottomBar.png" alt="">
  </div>
</ion-content>
